class NotZeroValidator < ActiveModel::EachValidator
  def validate_each(record, attribute, value)
    record.errors[attribute] << (options[:message] || I18n.t('activerecord.errors.messages.not_zero')) if value.to_i == 0
  end
end

